---
title: llarp::CompareWeakPtr
summary: type for comparing weak_ptr by value 

---

# llarp::CompareWeakPtr



type for comparing weak_ptr by value  [More...](#detailed-description)


`#include <compare_ptr.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[operator()](Classes/structllarp_1_1CompareWeakPtr.md#function-operator())**(const std::weak_ptr< Type_t > & left, const std::weak_ptr< Type_t > & right) const |

## Detailed Description

```cpp
template <typename Type_t ,
typename Compare  =std::less<>>
struct llarp::CompareWeakPtr;
```

type for comparing weak_ptr by value 
## Public Functions Documentation

### function operator()

```cpp
inline bool operator()(
    const std::weak_ptr< Type_t > & left,
    const std::weak_ptr< Type_t > & right
) const
```


-------------------------------

Updated on 2022-11-17 at 22:27:41 +0000